@import url("https://fonts.googleapis.com/css2?family=DM+Sans:wght@400;500;600;700&family=Manrope:wght@600;700;800&display=swap");

    :root {
        --post-max-width: 500px;
        --post-title-font-size: 16px;
    }

    @media (max-width: 430px) {
        :root {
            --post-max-width: 375px;
            --post-title-font-size: 14px;
        }
    }


    /* Widen Navigation contrainers to avoid word wrapping */
    .navbar-nav .nav-item {
        white-space: nowrap;
        padding-left: 3px;
        padding-right: 3px;
    }

    .navbar-nav .nav-link {
        display: flex;
        align-items: center;
        font-size: 1rem;
    }


    .topic-heading {
        margin-top:0px;
        margin-bottom:3px;
        color: #2485ee;
        font-size: 20px;
        font-weight: bold;
        letter-spacing: 10px;
        font-family: "Manrope", sans-serif;
        border-top: 1px solid #2485ee;
        border-bottom: 1px solid #2485ee;
        padding: 4px 0;
    }
    
    .application-name {
        color: #2485ee !important;
        font-size: 16px !important;
        display: inline-block; 
    }

    .post-footer-left,
    .post-footer-right {
        width: 50%;
        display: flex;
        align-items: center;
        }

    .post-footer-right {
        justify-content: flex-end;
        padding-right: 20px;
    }


    @keyframes highlightPulse {
        0%   { box-shadow: 0 0 0 0 rgba(111, 214, 138, 0.9); }
        50%  { box-shadow: 0 0 20px 8px rgba(111, 214, 138, 0.9); }
        100% { box-shadow: 0 0 0 0 rgba(111, 214, 138, 0.0); }
    }


    .post:has(.post__anchor:target) {
        animation: highlightPulse 3s ease-out !important;
    }

    .collage-item {
        aspect-ratio: 3 / 4;
        width: 100%;
        background-size: contain;
        background-position: center;
        mask-size: contain;
        mask-repeat: no-repeat;
        mask-position: center;
    }

    #starsky-collage {
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
        gap: 0px;
        padding: 0px;
    }                 


    .seo-text {
        position: absolute;
        left: -9999px;
        top: -9999px;
        width: 1px;
        height: 1px;
        overflow: hidden;
    }